/*
* SACD Decoder plugin
* Copyright (c) 2011-2013 Maxim V.Anisiutkin <maxim.anisiutkin@gmail.com>
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2.1 of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with FFmpeg; if not, write to the Free Software
* Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
*/

#ifndef _DSD_SINK_H_INCLUDED
#define _DSD_SINK_H_INCLUDED

#include <asiosys.h>
#include <asio.h>
#include "dsd_path.h"

class CoASIO;

class dsd_sink_t : public dsd_path_t {
	CoASIO* pCoASIO;
public:
	dsd_sink_t();
	void attach(CoASIO* pC);
	void detach();
	void set_state(asio_state_e state);
	void command(dsdcmd_t cmd);
};

#endif
